# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Activity Condition.
    module ActivityCondition
      # Validity types of activity conditions.
      class ActivityConditionType

        #Type of activity state conditions.
        ACTIVITY_STATE_CONDITION = 'ACTIVITY_STATE_CONDITION'
        
        #Type of artifact state conditions.
        ARTIFACT_STATE_CONDITION = 'ARTIFACT_STATE_CONDITION'

        #Type of composed conditions.
        COMPOSED_CONDITION = 'COMPOSED_CONDITION'
        
        #Type of time conditions.
        TIME_CONDITION = 'TIME_CONDITION'
        
      end
    end
  end
end