require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Sheet.
    module Sheet
      # @see Sheet#get_image_data
      class SheetGetImageData < UU::OS::REST::DTO

        # @see Sheet#get_image_data
        attr_accessor :image_id

        def image_id
          attributes[:imageId]
        end

        def image_id=(val) 
          attributes[:imageId] = val
        end
        
      end
    end

  end
end
