require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Artifact.
    module Artifact
      # @see Artifact#get_export_data
      class ArtifactGetExportData < UU::OS::REST::DTO

        # @see Artifact#get_export_data
        attr_accessor :requested_mime_type

        def requested_mime_type
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val)
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
