module UU
  module OS
    module Artifact
      class ArtifactNavigationAreaDisplayMode

        # Navigation area hidden.
        HIDDEN = 'HIDDEN'

        # Navigation area visible.
        VISIBLE = 'VISIBLE'

        # Default setting of navigation area visibility. Cannot be set in default presentation setting on meta artifact.
        DEFAULT = 'DEFAULT'

        # Navigation bar is visible. Other areas are hidden.
        NAVIGATION_BAR_ONLY = 'NAVIGATION_BAR_ONLY'

      end

    end
  end
end
