require 'uu/os/rest/paging_criteria'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Meta Permission.
    module MetaPermission
      # @see MetaPermission#get_mask_list
      class MetaPermissionGetMaskList < UU::OS::REST::PagingCriteria

        # @see MetaPermission#get_mask_list
        attr_accessor :query
        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end
      end
    end
  end
end
