require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS

      module PersonalRole

        class ProfileSetAttributes < UU::OS::REST::DTO

          # @see PersonalRole#set_profile_attributes
          attr_accessor :language 
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :notifications_email
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :notifications_rule  
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :experimental_features_enabled
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :experimental_features_enabled
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :responsive_layout_enabled
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :responsive_content_enabled
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :bookmarks_location_uri
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :global_login_enabled
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :portlets
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :portlets_mode
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :portlets_mobile_mode
          
          # @see PersonalRole#set_profile_attributes
          attr_accessor :bookmarks_to_navigator

          # @see PersonalRole#set_profile_attributes
          attr_accessor :preferred_territory_uri
                             
          # @see PersonalRole#set_profile_attributes
          attr_accessor :preferred_role_uri
          
          def preferred_territory_uri 
            attributes[:preferredTerritoryUri]
          end
      
          def preferred_territory_uri=(val) 
              attributes[:preferredTerritoryUri] = (val)       
          end
          
          def preferred_role_uri 
              attributes[:preferredRoleUri]
          end
                
          def preferred_role_uri=(val) 
              attributes[:preferredRoleUri] = (val)       
          end

          def language 
            attributes[:language]
          end

          def language=(val) 
            attributes[:language] = val
          end   
          
          def notifications_email 
            attributes[:notificationsEmail]
          end

          def notifications_email=(val) 
            attributes[:notificationsEmail] = val
          end
          
          def notifications_rule 
            attributes[:notificationsRule]
          end

          def notifications_rule=(val) 
            attributes[:notificationsRule] = val
          end     
          
          def experimental_features_enabled 
            attributes[:experimentalFeaturesEnabled]
          end

          def experimental_features_enabled=(val) 
            attributes[:experimentalFeaturesEnabled] = val
          end 
          
          def responsive_layout_enabled
            attributes[:responsiveLayoutEnabled]
          end
          
          def responsive_layout_enabled=(val)
            attributes[:responsiveLayoutEnabled] = val
          end
          
          def responsive_content_enabled
            attributes[:responsiveContentEnabled]
          end
          
          def responsive_content_enabled=(val)
            attributes[:responsiveContentEnabled] = val
          end
          
          def bookmarks_location_uri 
            attributes[:bookmarksLocationUri]
          end

          def bookmarks_location_uri=(val) 
            attributes[:bookmarksLocationUri] = val
          end 
          
          def global_login_enabled 
            attributes[:globalLoginEnabled]
          end

          def global_login_enabled=(val) 
            attributes[:globalLoginEnabled] = val
          end 
          
          def portlets 
            attributes[:portlets]
          end

          def portlets=(val) 
            attributes[:portlets] = val
          end 
          
          def portlets_mode 
            attributes[:portletsMode]
          end

          def portlets_mode=(val) 
            attributes[:portletsMode] = val
          end 
          
          def portlets_mobile_mode 
            attributes[:portletsMobileMode]
          end

          def portlets_mobile_mode=(val) 
            attributes[:portletsMobileMode] = val
          end   
          
          def bookmarks_to_navigator 
            attributes[:bookmarksToNavigator]
          end
                    
          def bookmarks_to_navigator=(val) 
            attributes[:bookmarksToNavigator] = val
          end

        end
      end
    end
end
