require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Role Interface.
    module RoleInterface
      # @see RoleInterface#get_export_data
      class RoleInterfaceGetExportData < UU::OS::REST::DTO

        # @see RoleInterface#get_export_data
        attr_accessor :requested_mime_type

        def requested_mime_type
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val)
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
