require 'uu/os/rest/dto'

module UU
  module OS
    module UseCaseRealization
      # @deprecated Use {UU::OS::VisualUseCase::VisualUseCaseSetOptions} instead.
      class UseCaseRealizationSetOptions < UU::OS::REST::DTO

        # Data for use case options. Only JSON ("application/json") format is accepted.
        attr_accessor :data
        def data 
          attributes[:data]
        end

        def data=(val) 
          if val
            attributes[:data] = UU::OS::REST::BinaryValue.new(val)
          else
            attributes[:data] = nil
          end
        end

      end
    end

  end
end
